<template>
  <div class="container-xxl">
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de categorías de ganados
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-success shadow-sm"
                data-bs-toggle="modal"
                data-bs-target="#modal_categoria_ganado_crear"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </button>
              <button
                class="btn btn-primary ms-5"
                @click="onCategoriaGanadoListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaCategoriaGanadoListar"
          @on-categoria-ganado-editar="onCategoriaGanadoEditar"
          @on-categoria-ganado-eliminar="onCategoriaGanadoEliminar"
        />
      </div>
    </div>


    <modal-crear @on-categoria-ganado-listar="onCategoriaGanadoListar" />
    <modal-editar
      :categoria-ganado="sCategoriaGanado"
      @on-categoria-ganado-listar="onCategoriaGanadoListar"
    />
    <modal-eliminar
      :categoria-ganado="sCategoriaGanado"
      @on-categoria-ganado-listar="onCategoriaGanadoListar"
    />
  </div>
</template>
<script>
import TablaListar from '@/components/panel/categoria_ganado/TablaCategoriaGanadoListar.vue';
import ModalCrear from '@/components/panel/categoria_ganado/ModalCategoriaGanadoCrear.vue';
import ModalEditar from '@/components/panel/categoria_ganado/ModalCategoriaGanadoEditar.vue';
import ModalEliminar from '@/components/panel/categoria_ganado/ModalCategoriaGanadoEliminar.vue';

import Clonar from '@/core/util/Clonar.js';

export default {
  name: 'CategoriaGanadoListar',
  components: {
    TablaListar, ModalCrear, ModalEditar, ModalEliminar
  },
  data() {
    return {
      sCategoriaGanado: {},
    }
  },

  methods: {
    onCategoriaGanadoListar() {
      this.$refs.tablaCategoriaGanadoListar.onCategoriaGanadoListar();
    },

    onCategoriaGanadoEditar(categoriaGanado) {
      this.sCategoriaGanado = Clonar.clon(categoriaGanado);
    },

    onCategoriaGanadoEliminar(categoriaGanado) {
      this.sCategoriaGanado = Clonar.clon(categoriaGanado);
    }
  }

}
</script>